> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an inventory import file configuration

> Create inventory import file configuration containing rules for queried file prefix



## OpenAPI

````yaml inventory.openapi post /inventory-import-configs
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Orders Team
  description: >-
    fabric **Inventory** API lets organizations use *Inventory* as a standalone
    service, which functions as the repository of product availability for order
    fulfillment. Typically, Storefront Websites utilize the Inventory service to
    retrieve data, while Warehouse Management Systems (WMS) use it to create and
    update inventory details. fabric's Inventory API includes high-performance
    endpoints built on highly scalable architecture, and includes a configurable
    data model to orchestrate the inventory lifecycle events.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: fabric Inventory API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: These endpoints help in performing reserved network operations
    name: ReservedNetwork Endpoints
  - description: >-
      Inventory Imports endpoints let you upload and download inventory details,
      in bulk, using a CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service
    name: Inventory Imports
  - description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. These endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
    name: Networks
  - description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
    name: Counters
  - description: >-
      fabric **Inventory** API lets organizations use *Inventory* as a
      standalone service, which functions as the repository of product
      availability for order fulfillment. Typically, Storefront Websites utilize
      the Inventory service to retrieve data, while Warehouse Management Systems
      (WMS) use it to create and update inventory details. fabric's Inventory
      API includes high-performance endpoints built on highly scalable
      architecture, and includes a configurable data model to orchestrate the
      inventory lifecycle events.
    name: Inventory
  - description: These endpoints help in performing inventory import file config operations
    name: Inventory Import Configs
  - description: |-
      This endpoint helps perform additional operations for inventory
      management.
    name: Actions Endpoints
externalDocs:
  description: Find out more about fabric Inventory
  url: https://developer.fabric.inc/v3/docs/orders-inventory
paths:
  /inventory-import-configs:
    post:
      tags:
        - Inventory Import Configs
      summary: Create an inventory import file configuration
      description: >-
        Create inventory import file configuration containing rules for queried
        file prefix
      operationId: createInventoryImportFileConfig
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/inventoryImportFileConfigRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inventoryImportFileConfigResponse'
          description: Created
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    inventoryImportFileConfigRequest:
      description: InventoryImportFileConfigRequest info
      properties:
        filePrefix:
          description: ID
          example: oms_
          type: string
        groupName:
          description: Group name
          example: Location0or2
          type: string
        id:
          description: ID
          example: '821018391'
          type: string
        rules:
          $ref: '#/components/schemas/rulesResource'
      required:
        - filePrefix
        - groupName
        - rules
      type: object
    inventoryImportFileConfigResponse:
      description: BulkUploadFileConfigResponse info
      properties:
        filePrefix:
          description: ID
          example: oms_
          type: string
        groupName:
          description: Group name
          example: Location0or2
          type: string
        id:
          description: ID
          example: '821018391'
          type: string
        rules:
          $ref: '#/components/schemas/rulesResource'
      required:
        - filePrefix
        - groupName
        - rules
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    rulesResource:
      description: Rules model
      example:
        locationFilters:
          - condition: EQ
            field: locationNum
            value: '11245'
          - condition: IN
            field: type
            values:
              - DC
              - STORE
      properties:
        locationFilters:
          items:
            $ref: '#/components/schemas/rulesLocationFilter'
          maxItems: 50
          minItems: 0
          type: array
      required:
        - locationFilters
      type: object
    rulesLocationFilter:
      description: >-
        Criteria to search locations. To search using a single value,
        `valueSearchFilter` is used. To search using multiple values,
        `valuesSearchFilter` is used.
      discriminator:
        mapping:
          EQ:
            $ref: '#/components/schemas/valueSearchFilterForRules'
          GT:
            $ref: '#/components/schemas/valueSearchFilterForRules'
          GTE:
            $ref: '#/components/schemas/valueSearchFilterForRules'
          IN:
            $ref: '#/components/schemas/valuesSearchFilterForRules'
          LT:
            $ref: '#/components/schemas/valueSearchFilterForRules'
          LTE:
            $ref: '#/components/schemas/valueSearchFilterForRules'
          NEQ:
            $ref: '#/components/schemas/valueSearchFilterForRules'
          NIN:
            $ref: '#/components/schemas/valuesSearchFilterForRules'
        propertyName: condition
      oneOf:
        - $ref: '#/components/schemas/valueSearchFilterForRules'
        - $ref: '#/components/schemas/valuesSearchFilterForRules'
      properties:
        condition:
          default: EQ
          description: >-
            Filter conditions. EQ (Equal to): Searches for exact match. NEQ (Not
            equal to): Searches by excluding the specified value. IN: Search for
            multiple values. NIN (Not IN): Excludes the specified values in the
            search. LT (Less than): Searches for values that are less than the
            specified value. GT (Greater than):  Search for values that are
            greater than the specified value. LTE (Less than or equal to):
            Searches for values that are less than or equal to the specified
            value. GTE (Greater than or equal to): Searches for values that are
            greater than or equal to the specified value.
          enum:
            - EQ
            - NEQ
            - IN
            - NIN
            - LT
            - GT
            - LTE
            - GTE
          example: EQ
          type: string
        field:
          description: Field name
          example: location.locationNum
          pattern: ^location\.[a-zA-Z.\-_]*
          type: string
      required:
        - condition
        - field
      type: object
    valueSearchFilterForRules:
      allOf:
        - properties:
            value:
              description: A single value for `field` using which data is searched
              example: ORDER_CREATE
              oneOf:
                - description: Target record's non-numeric identifier
                  example: ORDER_CREATE
                  type: string
                - description: Target record's numeric identifier
                  example: 112233
                  format: int64
                  type: number
                - description: Target record's numeric identifier
                  example: 1122.33
                  format: double
                  type: number
              type: object
          type: object
      description: >-
        Criteria to find location using a single value. Condition between
        `field` and `value` is anything except IN and NIN when
        `valueSearchFilter` is used.
      required:
        - condition
        - field
      type: object
    valuesSearchFilterForRules:
      allOf:
        - properties:
            values:
              items:
                description: Multiple values for `field` using which locations are searched
                example: ORDER_CREATE
                oneOf:
                  - description: Target record's non-numeric identifier
                    example: ORDER_CREATE
                    type: string
                  - description: Target record's numeric identifier
                    example: 112233
                    format: int64
                    type: number
                  - description: Target record's numeric identifier
                    example: 1122.33
                    format: double
                    type: number
                type: object
              maxItems: 25
              minItems: 1
              type: array
          type: object
      description: >-
        Criteria to find locations using multiple values. Condition between
        `field` and `values` is either IN or NIN when `valuesSearchFilter` is
        used.
      required:
        - condition
        - field
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````